package com.sundot.airport.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.Map;

@Configuration
@ConfigurationProperties(prefix = "level")
public class LevelConfig {
    /**
     * 位置表
     */
    private int positionLevel;
    /**
     * 位置表层级-位置类型
     */
    private Map<Integer, String> positionLevelMap;
    /**
     * 检查部位表
     */
    private int checkPointLevel;
    /**
     * 检查项分类表
     */
    private int checkCategoryLevel;
    /**
     * 查获物品分类表
     */
    private int seizeCategoryLevel;
    /**
     * 部门表
     */
    private int sysDeptLevel;
    /**
     * 部门表层级-部门类型
     */
    private Map<Integer, String> sysDeptLevelMap;

    /**
     * 岗位信息表
     */
    private int sysPostLevel;

    public int getPositionLevel() {
        return positionLevel;
    }

    public void setPositionLevel(int positionLevel) {
        this.positionLevel = positionLevel;
    }

    public Map<Integer, String> getPositionLevelMap() {
        return positionLevelMap;
    }

    public void setPositionLevelMap(Map<Integer, String> positionLevelMap) {
        this.positionLevelMap = positionLevelMap;
    }

    public int getCheckPointLevel() {
        return checkPointLevel;
    }

    public void setCheckPointLevel(int checkPointLevel) {
        this.checkPointLevel = checkPointLevel;
    }

    public int getCheckCategoryLevel() {
        return checkCategoryLevel;
    }

    public void setCheckCategoryLevel(int checkCategoryLevel) {
        this.checkCategoryLevel = checkCategoryLevel;
    }

    public int getSeizeCategoryLevel() {
        return seizeCategoryLevel;
    }

    public void setSeizeCategoryLevel(int seizeCategoryLevel) {
        this.seizeCategoryLevel = seizeCategoryLevel;
    }

    public int getSysDeptLevel() {
        return sysDeptLevel;
    }

    public void setSysDeptLevel(int sysDeptLevel) {
        this.sysDeptLevel = sysDeptLevel;
    }

    public Map<Integer, String> getSysDeptLevelMap() {
        return sysDeptLevelMap;
    }

    public void setSysDeptLevelMap(Map<Integer, String> sysDeptLevelMap) {
        this.sysDeptLevelMap = sysDeptLevelMap;
    }

    public int getSysPostLevel() {
        return sysPostLevel;
    }

    public void setSysPostLevel(int sysPostLevel) {
        this.sysPostLevel = sysPostLevel;
    }

}
